Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jdbc.datasource.init
Class CannotReadScriptException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.jdbc.datasource.init.CannotReadScriptException

All Implemented Interfaces:
  Serializable

    public class CannotReadScriptException

extends RuntimeException

Thrown by `ResourceDatabasePopulator` if one of its SQL scripts could not be read during population.

Since:
  3.0
Author:
  Keith Donald
See Also:
  Serialized Form

Constructor Summary
`CannotReadScriptException(EncodedResource resource, Throwable cause)` Constructor a new CannotReadScriptException.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CannotReadScriptException

    public CannotReadScriptException(EncodedResource resource,
                                     Throwable cause)

  Constructor a new CannotReadScriptException.

  Parameters:
    `resource` - the resource that could not be read from
    `cause` - the underlying cause of the resource access failure

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD